#login_form { width: 500px; }

#login_form h4 { color: #61605F; }

#account-creation_form { width: 550px; }

#new_account_form { width: 770px; }

#new_account_form h2 a {
  float: right;
  line-height: 1em;
  font-size: 16px;
  margin-top: 6px;
}

#new_account_form fieldset {
  overflow: visible;
  padding-bottom: 15px;
}

#new_account_form p.submit {
  padding: 0;
  margin: 0;
}

#new_account_form .required_fields {
  position: static;
  display: block;
}

#submit_guest_account_wrapper {
  position: absolute;
  right: 0;
  bottom: -48px;
}

.mode_switcher {
  float: left;
  padding: 20px 0 0 0;
}

.to_login,
.to_registration,
.to_instant_checkout {
  line-height: 1.5em;
}